---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: woodpecker-gitea
  namespace: woodpecker
spec:
  destination:
    create: true
    name: woodpecker-gitea
    overwrite: false
  hmacSecretData: true
  mount: kv
  path: service/woodpecker/woodpecker-gitea
  refreshAfter: 5m
  type: kv-v2
  vaultAuthRef: default
---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: woodpecker-agent-secret
  namespace: woodpecker
spec:
  destination:
    create: true
    name: woodpecker-agent-secret
    overwrite: true
  hmacSecretData: true
  mount: kv
  path: service/woodpecker/woodpecker-agent-secret
  refreshAfter: 5m
  type: kv-v2
  vaultAuthRef: default
